Bug 257128 - devel/libuv: Update to 1.42.0
Summary: devel/libuv: Update to 1.42.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL: https://github.com/libuv/libuv/issues...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-12 08:05 UTC by Daniel Engberg
Modified: 2021-09-06 14:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments
Patch for libuv (820 bytes, patch)
2021-07-12 08:05 UTC, Daniel Engberg
no flags Details | Diff
Patch for libuv v2 (820 bytes, patch)
2021-07-26 08:45 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-07-12 08:05:49 UTC
Created attachment 226385 [details]
Patch for libuv

Update libuv 1.41.1 to fix CVE-2021-22918

Reference: https://nodejs.org/en/blog/vulnerability/july-2021-security-releases/

Compile tested on FreeBSD FreeBSD 13.0-STABLE #0 stable/13-n246086-a20c597c6d7 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Daniel Engberg freebsd_committer 2021-07-12 08:06:43 UTC
No VuXML entry added as there isn't a public CVE available yet
Comment 2 Daniel Engberg freebsd_committer 2021-07-26 08:45:58 UTC
Created attachment 226706 [details]
Patch for libuv v2

Compile and runtime tested on FreeBSD 13.0-STABLE #0 stable/13-n246086-a20c597c6d7 (amd64) (make, make check-plist, make test) and with CMake
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 3 Daniel Engberg freebsd_committer 2021-08-17 09:19:02 UTC
Friendly ping
Comment 4 commit-hook freebsd_committer 2021-09-06 14:41:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c0545dfd2bb8f429569e797cff28ef72d7d49d27

commit c0545dfd2bb8f429569e797cff28ef72d7d49d27
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-06 14:36:34 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-06 14:36:52 +0000

    devel/libuv: Update to 1.42.0

    PR:             257128
    Approved by:    bhughes@FreeBSD.org (maintainer timeout), arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D31850

 devel/libuv/Makefile | 2 +-
 devel/libuv/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Daniel Engberg freebsd_committer 2021-09-06 14:51:53 UTC
Comitted